# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

# If you want repolib package to be built,
# issue the following: 'rpmbuild --with repolib'

%define _with_repolib 1

%define with_repolib %{?_with_repolib:1}%{!?_with_repolib:0}
%define without_repolib %{!?_with_repolib:1}%{?_with_repolib:0}

%define repodir %{_javadir}/repository.jboss.com/joesnmp/0.3.4-brew
%define repodirlib %{repodir}/lib
%define repodirsrc %{repodir}/src

%define section   free

Name:           joesnmp
Version:        0.3.4
Release:        2%{?dist}
Epoch:          0
Summary:        Java SNMP class library 
Group:          Development/Libraries/Java
License:        LGPLv2+
URL:            http://sourceforge.net/projects/joesnmp/
Source0:        joesnmp-0.3.4.zip
Source1:	joesnmp-component-info.xml
Patch0:		joesnmp-0.3.3-build_xml.patch
Requires:       jpackage-utils >= 0:1.6
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  ant >= 0:1.6
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
joeSNMP is an open-source Java SNMP class library 
published under the LGPL.

%if %{with_repolib}
%package repolib
Summary:	Artifacts to be uploaded to a repository library
Group:	        Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio
%endif

%package        javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description    javadoc
%{summary}.

%prep
%setup -q 
%patch0 -b .sav
find . -name "*.jar" | xargs %{__rm}

%{__perl} -pi -e 's/\r$//g' docs/FAQ.txt

%if %{with_repolib}
tag=`echo %{name}-%{version}-%{release} | sed 's|\.|_|g'`
sed -i "s/@TAG@/$tag/g" %{SOURCE1}
%endif

%build
export OPT_JAR_LIST="ant-launcher"
export CLASSPATH=$(build-classpath \
ant \
ant-launcher \
)
ant -Dfilters.noload=true

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 $RPM_BUILD_ROOT%{_javadir}
install -pm 644 output/lib/%{name}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

install -dm 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr output/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%if %{with_repolib}
	install -d -m 755 $RPM_BUILD_ROOT%{repodir}
	install -d -m 755 $RPM_BUILD_ROOT%{repodirlib}
	install -m 755 %{SOURCE1} $RPM_BUILD_ROOT%{repodir}/component-info.xml
	install -d -m 755 $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{PATCH0} $RPM_BUILD_ROOT%{repodirsrc}
	install -m 755 %{SOURCE0} $RPM_BUILD_ROOT%{repodirsrc}
	cp -p $RPM_BUILD_ROOT%{_javadir}/joesnmp.jar $RPM_BUILD_ROOT%{repodirlib}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc docs/FAQ.txt
%{_javadir}/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%if %{with_repolib}
%files repolib
%defattr(0644,root,root,0755)
%{repodir}
%endif

%changelog
* Thu Apr 29 2008 David Walluck <dwalluck@redhat.com> 0:0.3.4-2.jpp5
- fix License
- fix BuildRoot
- fix %%doc
- fix file permissions
- remove javadoc scriptlets
- fix eol

* Tue Mar 13 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:0.3.4-1jpp.ep1.2
- Fix repolib location

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> - 0:0.3.4-1jpp.ep1.1
- Rebuild

* Tue Feb 20 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:0.3.4-1jpp.el4ep1.3
- Add -brew suffix

* Sat Feb 17 2007 Vivek Lakshmanan <vivekl@redhat.com> - 0:0.3.4-1jpp.el4ep1.2
- Add repolib support

* Sat Feb 17 2007 Fernando Nasser <fnasser@redhat.com> - 0:0.3.4-1jpp.el4ep1.1
- Merge with upstream for upgrade

* Sat Feb 17 2007 Fernando Nasser <fnasser@redhat.com> - 0:0.3.4-1jpp
- Upgrade to 0.3.4

* Fri Apr 21 2006 Fernando Nasser <fnasser@redhat.com> - 0:0.3.3-2jpp_1rh
- First Red Hat build

* Fri Apr 21 2006 Fernando Nasser <fnasser@redhat.com> - 0:0.3.3-2jpp
- First JPP 1.7 build

* Wed Nov 09 2005 Ralph Apel <r.apel at r-apel.de> - 0:0.3.3-1jpp
- Upgrade to 0.3.3
- snmptrapappender and jboss4 rebuild OK
- add postun for javadoc

* Fri Dec 03 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.3.2-1jpp
- Upgrade to 0.3.2 because jboss-3.2.6 needs it

* Thu Aug 12 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.3.0-1jpp
- Upgrade to 0.3.0 from cvs because jboss-3.2.5 needs it

* Wed Jul 14 2004 Ralph Apel <r.apel at r-apel.de> - 0:0.2.6-1jpp
- First JPackage release

